/// <reference types="react" />
import { AlignItemsProps, AlignSelfProps, FlexDirectionProps, FlexProps as StyledFlexProps, FlexWrapProps, JustifyContentProps, OrderProps } from 'styled-system';
import { DefaultProps, RenditionSystemProps } from '../../common-types';
export interface BoxProps extends DefaultProps, StyledFlexProps, OrderProps, AlignSelfProps, RenditionSystemProps {
}
export declare const Box: import("react").ForwardRefExoticComponent<BoxProps & import("react").RefAttributes<HTMLDivElement>>;
export interface FlexProps extends BoxProps, FlexWrapProps, FlexDirectionProps, AlignItemsProps, JustifyContentProps {
}
export declare const Flex: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<BoxProps & import("react").RefAttributes<HTMLDivElement>>, any, FlexProps, never>;
