import { RadioButtonGroupProps as GrommetRadioButtonGroupProps } from 'grommet';
import * as React from 'react';
import { DefaultProps, Omit, RenditionSystemProps } from '../../common-types';
interface InternalRadioButtonGroupProps extends Omit<GrommetRadioButtonGroupProps, 'name'>, DefaultProps {
    name?: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
export declare type RadioButtonGroupProps = InternalRadioButtonGroupProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<RadioButtonGroupProps>;
export default _default;
