import { __assign, __makeTemplateObject, __rest } from "tslib";
import map from 'lodash/map';
import * as React from 'react';
import styled from 'styled-components';
import asRendition from '../../asRendition';
import { px } from '../../utils';
import Divider from '../Divider';
import { Box, Flex } from '../Grid';
import Txt from '../Txt';
var Wrapper = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tborder: solid 1px #dfdede;\n\tborder-radius: ", ";\n\tbox-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.14);\n\tpadding: 20px;\n\n\tbackground-color: #ffffff;\n\tmin-height: ", ";\n"], ["\n\tborder: solid 1px #dfdede;\n\tborder-radius: ", ";\n\tbox-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.14);\n\tpadding: 20px;\n\n\tbackground-color: #ffffff;\n\tmin-height: ", ";\n"])), function (props) { return px(props.theme.radius || 3); }, function (props) { return props.minHeight || 'auto'; });
var styledDivider = React.createElement(Divider, { height: 1, color: "#dfdede" });
var Card = function (_a) {
    var title = _a.title, cta = _a.cta, rows = _a.rows, children = _a.children, props = __rest(_a, ["title", "cta", "rows", "children"]);
    var hasHeader = title || cta;
    var Header = hasHeader && (React.createElement(React.Fragment, null,
        React.createElement(Flex, { justifyContent: "space-between", mb: 14 },
            React.createElement(Txt, { bold: true, fontSize: "16px", color: "#000" }, title),
            cta),
        styledDivider));
    var Rows = rows &&
        map(rows, function (row, index) { return (React.createElement("div", { key: index },
            index > 0 && styledDivider,
            row)); });
    var Body = children && React.createElement(Box, { mt: hasHeader ? 14 : 0 }, children);
    return (React.createElement(Wrapper, __assign({}, props),
        Header,
        Rows,
        Body));
};
export default asRendition(Card);
var templateObject_1;
