import { __assign, __makeTemplateObject } from "tslib";
import * as React from 'react';
import styled from 'styled-components';
import { style } from 'styled-system';
import asRendition from '../../asRendition';
import { monospace } from '../../utils';
export var whitespace = function (props) {
    return props.whitespace ? "white-space: " + props.whitespace : null;
};
export var caps = function (props) {
    return props.caps ? "text-transform: uppercase, letterSpacing: 0.2em" : null;
};
export var italic = function (props) {
    return props.italic ? "font-style: italic" : null;
};
export var bold = function (props) {
    return props.bold
        ? "font-weight: " + props.theme.weights[props.theme.weights.length - 1]
        : null;
};
export var align = style({
    key: 'text-align',
    prop: 'align',
    cssProperty: 'text-align',
});
var Txt = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n\t", "\n\t", "\n\n\t", "\n\t", "\n\t", "\n"], ["\n\t", "\n\t", "\n\t", "\n\n\t", "\n\t", "\n\t", "\n"])), align, monospace, whitespace, caps, bold, italic);
var Factory = function (tag) {
    return asRendition(function (props) {
        return React.createElement(Txt, __assign({ as: tag }, props));
    });
};
var Base = Factory();
Base.displayName = 'Txt';
Base.span = Factory('span');
Base.p = Factory('p');
export default Base;
var templateObject_1;
